package vip.xiaonuo.timer;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpCaiGouService;


@Slf4j
@Component
public class ErpCaiGouTimer implements CommonTimerTaskRunner {
    @Autowired
    private IErpCaiGouService erpCaiGouService;

    @Override
    public void action() {
        erpCaiGouService.getCaiGouDingDanJinE();
        erpCaiGouService.getCaiGouRuKuJinE();
        erpCaiGouService.getCaiGouFaPiaoJinE();
        erpCaiGouService.getLeiJiRuKu();
        erpCaiGouService.getShouLiaoJinE();
        erpCaiGouService.getJiaoHuoShuLiang();
        erpCaiGouService.getCaiGouShuLiang();
        erpCaiGouService.getCaiGouDingDanShuLiang();
        erpCaiGouService.getDaiJianShuLiang();
        erpCaiGouService.getShangNianCaiGou();
        erpCaiGouService.getYingFuZhangKuanMingXi();
        erpCaiGouService.getDanPinJiaGe();
        erpCaiGouService.getZuiDiKuCun();
        erpCaiGouService.getCaiGouDingDanShuLiangJinE();
        erpCaiGouService.getCaiGouHeTongShuLiangJinE();

//        erpCaiGouService.getDanPinJiaGe();
    }

}
